package com.gct.dataengine.collector.feign;

import com.gct.common.core.result.Result;
import com.gct.dataengine.collector.entity.ConditionMonitorData;
import com.gct.dataengine.collector.entity.vo.MachineServerState;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @author xusirui 2022/7/27
 */
@FeignClient(value = "data-engine-central",fallback = CentralHystrix.class)
public interface CentralClient {

    @PostMapping("/machineServerState/write-state")
    String writeState(@RequestBody ConditionMonitorData conditionMonitorData);

    @GetMapping("/driver/config/search")
    String searchClassConfig(@RequestParam String driverClassName, @RequestParam String driverNamespace);

    @PostMapping("/machineServerState/add-server")
    String addServer(@RequestBody List<MachineServerState> machineServerState);
}
