package com.gct.dataengine.collector.feign;

import com.gct.dataengine.collector.entity.vo.CollectorTaskInfoVo;
import com.gct.dataengine.collector.properties.CollectorProperties;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author xusirui 2022/4/21
 */
@FeignClient(value = "data-engine-register",fallback = RegisterHystrix.class)
public interface RegisterClient {

    @PostMapping("/register/heart-beat")
    Boolean heartBeat(CollectorProperties collector);

    @GetMapping("/register/bind")
    Boolean bind(@RequestParam String collectorId, @RequestParam String taskId, @RequestParam String version);

    @GetMapping("/register/pullCollector-taskInfo")
    CollectorTaskInfoVo pullCollectorTaskInfo();

}
