package com.gct.dataengine.collector.quartztask;

import com.gct.dataengine.collector.feign.RegisterClient;
import com.gct.dataengine.collector.properties.CollectorProperties;
import lombok.extern.slf4j.Slf4j;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.scheduling.quartz.QuartzJobBean;

/**
 * @author xusirui 2022/4/21
 */
@Slf4j
public class HeartBeatJob extends QuartzJobBean {

    @Autowired
    RegisterClient registerClient;

    @Autowired
    CollectorProperties collectorProperties;

    @Override
    protected void executeInternal(JobExecutionContext context) throws JobExecutionException {
        try {
            Boolean res = registerClient.heartBeat(collectorProperties);
            if (!res){
                log.error("heart beat failed,please check collector config is correct");
            }
        }catch (Exception e){
            log.error("heart beat failed, may be register server is unreachable, cause by {}",e.getMessage());
        }

    }
}
