package com.gct.dataengine.collector.service.task;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.gct.common.core.result.Result;
import com.gct.dataengine.collector.entity.BlockData;
import com.gct.dataengine.collector.entity.ConditionMonitorData;
import com.gct.dataengine.collector.feign.CauldronClient;
import com.gct.dataengine.collector.feign.CentralClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author xusirui 2022/7/28
 */
@Component
@Slf4j
public class CollectedDataProcessor {

    @Autowired
    CauldronClient cauldronClient;

    @Autowired
    CentralClient centralClient;

    public void writeBlockData(BlockData blockData){
        String res = cauldronClient.writeData(blockData);
        Result r =  JSONObject.parseObject(res, Result.class);
        if(!Boolean.parseBoolean(r.getData().toString()))log.info("res: {},dataTags: {},dataValues: {}", r.getData(), blockData.getDataTags(),blockData.getDataValues());

    }

    public void writeConditionMonitorData(ConditionMonitorData conditionMonitorData){
        String res = centralClient.writeState(conditionMonitorData);
        Result r = JSONObject.parseObject(res, Result.class);
        if(r.getStatus()==-1)log.info("res {},conditionMonitorDara: {}",r.getData(),conditionMonitorData);
    }
}
