package com.gct.dataengine.collector.service.task;

import com.gct.dataengine.template.entity.xml.LotServer;
import com.gct.driver.lotpi.ConnectionConfig;
import com.gct.driver.lotpi.DataBlock;
import com.gct.driver.lotpi.DriverAdapter;
import com.gct.driver.lotpi.DriverLocation;
import com.gct.driver.lotpi.extent.Connector;

import java.util.Arrays;
import java.util.stream.Collectors;

/**
 * @author xusirui 2022/3/31
 */
public class ConnectorPool {

    Connector[] connectors;

    public void create(LotServer[] lotServers){
        connectors = Arrays.stream(lotServers).map(lotServer->{
            DriverAdapter driverAdapter = new DriverAdapter();
            DriverLocation driverLocation = new DriverLocation();
            driverLocation.setPath(lotServer.getDriverPath());
            driverLocation.setDriverClass(lotServer.getDriverClassName());
            Connector connector = driverAdapter.findConnector(driverLocation);
            ConnectionConfig config = connector.parseUrl(lotServer.getUrl());
            connector.setConfig(config);
            connector.open();
            return connector;
        }).collect(Collectors.toList()).toArray(new Connector[]{});
    }

    public void close(){
        for (Connector connector : connectors) {
            connector.close();
        }
    }

    public Connector getById(int i){
        return connectors[i];
    }
}
