package com.gct.dataengine.collector.service.task.job;

import com.gct.dataengine.collector.service.task.secondlevel.DataBlockTask;
import com.gct.dataengine.template.entity.enums.Constant;
import lombok.extern.slf4j.Slf4j;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;

/**
 * @author xusirui 2022/5/10
 *
 * use quartz dynamic manage Job
 */
@Slf4j
public class DataBlockQuartzJob implements Job {

    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        long st = System.currentTimeMillis();
        DataBlockTask dataBlockTask = (DataBlockTask)jobExecutionContext.getMergedJobDataMap().get(Constant.JOB_PARAM_KEY);
        dataBlockTask.runTask();
        log.info("collect cost {} ms",System.currentTimeMillis() - st);
    }
}
