package com.gct.dataengine.collector.service.task.secondlevel;

import com.gct.dataengine.collector.service.task.CollectedDataProcessor;
import com.gct.dataengine.collector.service.task.firstlevel.CollectTask;
import org.quartz.Job;

import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

/**
 * @author xusirui 2022/7/27
 */
public abstract class CircleTask {

    String taskId;

    Integer executeInterval;

    CollectedDataProcessor collectedDataProcessor;

    Class<? extends Job> quartzJobClass;

    protected final List<CollectTask> taskList = new ArrayList<>();

    public CircleTask(Integer executeInterval,Class<? extends Job> quartzJobClass,CollectedDataProcessor collectedDataProcessor){
        this.taskId = UUID.randomUUID().toString();
        this.executeInterval = executeInterval;
        this.quartzJobClass = quartzJobClass;
        this.collectedDataProcessor = collectedDataProcessor;
    }

    public abstract void runTask();

    public void addTaskBatch(List<? extends CollectTask> collectTasks){
        taskList.addAll(collectTasks);
    }

    public void addTask(CollectTask collectTask){taskList.add(collectTask);}

    public Integer getExecuteInterval() {
        return executeInterval;
    }

    public String getTaskId() {
        return taskId;
    }

    public Class<? extends Job> getQuartzJobClass() {
        return quartzJobClass;
    }
}
