package com.gct.dataengine.collector.service.task.secondlevel;

import com.gct.dataengine.collector.entity.ConditionMonitorData;
import com.gct.dataengine.collector.feign.CentralClient;
import com.gct.dataengine.collector.service.task.CollectedDataProcessor;
import com.gct.dataengine.collector.service.task.firstlevel.CollectTask;
import lombok.extern.slf4j.Slf4j;
import org.quartz.Job;

import java.util.UUID;

/**
 * @author xusirui 2022/7/27
 */
@Slf4j
public class ConditionMonitorTask extends CircleTask{

    public ConditionMonitorTask(Integer executeInterval, Class<? extends Job> quartzJobClass, CollectedDataProcessor collectedDataProcessor) {
        super(executeInterval, quartzJobClass, collectedDataProcessor);
    }

    @Override
    public void runTask() {

        taskList.stream()
                .map(CollectTask::run)
                .forEach(o->{
                    if (o instanceof ConditionMonitorData){
                        ConditionMonitorData conditionMonitorData = (ConditionMonitorData) o;
                        collectedDataProcessor.writeConditionMonitorData(conditionMonitorData);
                    }
                });
    }
}
